Skip to main content

Get all alerts of the dataset

Get all alerts of the dataset

Path Parameters
datasetId string — REQUIRED

dataset Id

Query Parameters
after yyyy-MM-dd_HH:mm:ss

Returns all alerts after this date

before yyyy-MM-dd_HH:mm:ss

Returns all alerts before this date

include_unknown boolean

include all errors for unknown range?

Responses
200

dataset

Schema — OPTIONAL
id string
name string
displayName string — OPTIONAL
datasetType string — OPTIONAL

Possible values: [TABLE, EXTERNAL_TABLE, VIEW, SECURE_VIEW, MATERIALIZED_VIEW, MODEL, SNAPSHOT, ICEBERG, DELTA, DELTA_LIVE, FILE, API, STREAMING_EVENTS]

format string — OPTIONAL

Possible values: [csv, xlsx, json, jsonl, seq, avro, parquet, orc, delta_parquet, unknown]

compressionType string — OPTIONAL

Possible values: [zip, gz, snappy, lz4, bz2, deflate, zlib, tar.gz]

location string — OPTIONAL
dataPaths string — OPTIONAL
rawSchema object — OPTIONAL
id string
url string — OPTIONAL
name string
type string
schemaString string — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
columns object[]
name string
displayName string — OPTIONAL
ordinalPosition int32 — OPTIONAL
description string — OPTIONAL
dataType string
dataFormat string — OPTIONAL
dataLength int32 — OPTIONAL
nullable boolean — OPTIONAL
primaryKey boolean — OPTIONAL
unique boolean — OPTIONAL
partition_key boolean — OPTIONAL
index boolean — OPTIONAL
foreignKey object — OPTIONAL
reference_table string
reference_column string
defaultValue string — OPTIONAL
isDefaultValueSet boolean — OPTIONAL
precision int32 — OPTIONAL
scale int32 — OPTIONAL
unsigned boolean — OPTIONAL
dataTypeCategory string — OPTIONAL
dataTypeDisplayName string — OPTIONAL
classification string — OPTIONAL

Possible values: [class1, class2, class3, class4, class5]

subColumns (circular)[] — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
datasetPartition object — OPTIONAL
columns string[]
intervalType string

Possible values: [TIME-UNIT, INTEGER-RANGE, INTGESTION-TIME, COLUMN-VALUE]

interval string
watermarkColumns string — OPTIONAL
watermarkType string — OPTIONAL

Possible values: [DATETIME, NUMBER, VERSIONED_DATA, OFFSET]

watermarkInitialValue int64 — OPTIONAL
config object — OPTIONAL
properties object — OPTIONAL
datasetConstraints object — OPTIONAL
nullable string[] — OPTIONAL
primaryKey string[] — OPTIONAL
unique string[] — OPTIONAL
partitionKey string[] — OPTIONAL
index string[] — OPTIONAL
description string — OPTIONAL
status string — OPTIONAL
databaseId string — OPTIONAL
datastoreId string — OPTIONAL
qualityScoreConfig object — OPTIONAL
quality_contribution object — OPTIONAL
rules_contribution object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
404

Dataset for instance datasetId is not found